Bug 1124790 - Foreman proxy refuses to start after restarting the server on RHEL 7
Summary: Foreman proxy refuses to start after restarting the server on RHEL 7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Jason Montleon
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 10:15 UTC by Ivan Necas
Modified: 2014-09-11 12:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:05 UTC


Attachments (Terms of Use)

Description Ivan Necas 2014-07-30 10:15:14 UTC
Description of problem:
After installing a capsule on RHEL 7 and restarting the server,
the foreman-proxy refuses to start with the error:

/usr/share/ruby/fileutils.rb:245:in `mkdir': Permission denied - /var/run/foreman-proxy (Errno::EACCES)
 

The workaround is:

mkdir /var/run/foreman-proxy
chown foreman-proxy:foreman-proxy /var/run/foreman-proxy
restorecon -RvvF /var/run/foreman-proxy

Comment 2 Dominic Cleal 2014-07-31 13:03:53 UTC
Which version please?  It's changed significantly between 6.0.3 and .4, we need to know which is affected.

Comment 3 Ivan Necas 2014-07-31 13:35:40 UTC
6.0.3, havent tried on 6.0.4 yet

Comment 4 Dominic Cleal 2014-07-31 13:52:56 UTC
Thanks, I see the issue.  The foreman-proxy spec file has multiple "0%{?fedora} < 17" conditionals which are causing the EL7 RPM to be built with the EL6 sysvinit configuration.

Comment 5 Dominic Cleal 2014-07-31 14:06:48 UTC
6.0.4 looks like it's been updated.

Comment 6 Dmitri Dolguikh 2014-09-01 11:51:46 UTC
Developer verified. Tested on qeblade35.rhq.lab.eng.bos.redhat.com.

Comment 7 Corey Welton 2014-09-02 19:04:58 UTC
Verified in Satellite-6.0.4-RHEL-7-20140829.0

Comment 8 Bryan Kearney 2014-09-11 12:28:05 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.